Eclipse Platform Release 3.7

## org.eclipse.ui.actions
Class OpenSystemEditorAction

    java.lang.Object
      org.eclipse.core.commands.common.EventManager
          org.eclipse.jface.action.AbstractAction
              org.eclipse.jface.action.Action
                  org.eclipse.ui.actions.BaseSelectionListenerAction
                      org.eclipse.ui.actions.SelectionListenerAction
                          org.eclipse.ui.actions.OpenSystemEditorAction

All Implemented Interfaces:
  IAction, ISelectionChangedListener

Direct Known Subclasses:
  OpenFileAction

    public class OpenSystemEditorAction

extends SelectionListenerAction

Standard action for opening a system editor on the currently selected file resource.

This class may be instantiated; it is not intended to be subclassed.

Restriction:
  This class is not intended to be subclassed by clients.

Field Summary
`static String` `ID` The id of this action.

Fields inherited from interface org.eclipse.jface.action.IAction
`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, HANDLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

Constructor Summary
`OpenSystemEditorAction(IWorkbenchPage page)` Creates a new action that will open system editors on the then-selected file resources.

Method Summary
`void` `run()` The default implementation of this `IAction` method does nothing.
`protected boolean` `updateSelection(IStructuredSelection selection)` The `OpenSystemEditorAction` implementation of this `SelectionListenerAction` method enables the action only if the selection contains just file resources.

Methods inherited from class org.eclipse.ui.actions.SelectionListenerAction
`clearCache, getSelectedNonResources, getSelectedResources, resourceIsType, selectionIsOfType`

Methods inherited from class org.eclipse.ui.actions.BaseSelectionListenerAction
`getStructuredSelection, runWithEvent, selectionChanged, selectionChanged`

Methods inherited from class org.eclipse.jface.action.Action

`convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, isHandled, notifyResult, removeAcceleratorText, removeMnemonics, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

Methods inherited from class org.eclipse.jface.action.AbstractAction
`addPropertyChangeListener, firePropertyChange, firePropertyChange, removePropertyChangeListener`

Methods inherited from class org.eclipse.core.commands.common.EventManager
`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.action.IAction
`addPropertyChangeListener, removePropertyChangeListener`

Field Detail

### ID

    public static final String ID

  The id of this action.

  See Also:
    Constant Field Values

Constructor Detail

### OpenSystemEditorAction

    public OpenSystemEditorAction(IWorkbenchPage page)

  Creates a new action that will open system editors on the then-selected file resources.

  Parameters:
    `page` - the workbench page in which to open the editor

Method Detail

### run

    public void run()

  Description copied from class: `Action`
  The default implementation of this `IAction` method does nothing. Subclasses should override this method if they do not need information from the triggering event, or override `runWithEvent(Event)` if they do.

  Specified by:
    `run` in interface `IAction`
  Overrides:
    `run` in class `Action`

### updateSelection

    protected boolean updateSelection(IStructuredSelection selection)

  The `OpenSystemEditorAction` implementation of this `SelectionListenerAction` method enables the action only if the selection contains just file resources.

  Overrides:
    `updateSelection` in class `BaseSelectionListenerAction`
  Parameters:
    `selection` - the new selection
  Returns:
    `true` if the action should be enabled for this selection, and `false` otherwise

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.